# 📘 `docs/README.md` — Project Docs Home

Welcome to the internal documentation for **`google-auth-rewired`** — a lightweight, execution-first toolkit that simplifies authenticating to Google APIs in Python.

This folder contains documentation for usage, scopes, service accounts, impersonation, and advanced workflows.

---

## 🗂️ Docs Structure

| File | Purpose |
|------|---------|
| `getting-started.md` | How to install, test, and run the library locally |
| `service-accounts.md` | Guide to generating, using, and securing service account keys |
| `scopes-reference.md` | Handy reference list for common Google OAuth scopes |
| `oauth-flow.md` | Setup for browser-based user OAuth2 flows |
| `impersonation.md` | Guide to IAM impersonation for advanced setups |

---

## 🛠️ Quick Links

- 🔑 [Getting Started](getting-started.md)
- 🔐 [Scopes Reference](scopes-reference.md)
- 🤖 [Service Accounts](service-accounts.md)
- 🌐 [OAuth2 Flow](oauth-flow.md)
- 🧙 [Impersonation](impersonation.md)

---

## 🧠 Who This Is For

This documentation is for:
- Python developers working with Google APIs
- Teams who want to avoid bloated auth libraries
- Builders who prefer clean, minimalistic SDKs

---

## 🤝 Contributing

If you're contributing updates, please update relevant docs alongside your code.

```bash
git add docs/<filename>.md
```

Let’s keep this clean, focused, and developer-friendly.
```

---